Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

Get all available user roles

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/roles' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The user roles

Bodyapplication/jsonArray [
idstring or null

The instinct id of the role

namestring or null

The name of the role

descriptionstring or nullread-only

The description of the role

permissionsArray of objects or null(PermissionDto)

The associated permissions for the role

]
Response
application/json
[ { "id": "string", "name": "string", "description": "string", "permissions": [] } ]

Get a summary of all available user roles

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/roles/summaries' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The user roles

Bodyapplication/jsonArray [
idstring or null

The instinct id of the role

namestring or null

The name of the role

descriptionstring or nullread-only

The description of the role

permissionsArray of objects or null(PermissionDto)

The associated permissions for the role

]
Response
application/json
[ { "id": "string", "name": "string", "description": "string", "permissions": [] } ]

Get the permissions for a given user role

Request

Security
Bearer
Path
idstringrequired

The id of the role

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/roles/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The role permissions

Bodyapplication/jsonArray [
idstring or nullread-only

The instinct id for the permission

namestring or nullread-only

The name of the permission

descriptionstring or nullread-only

The description of the permission

]
Response
application/json
[ { "id": "string", "name": "string", "description": "string" } ]

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations